spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        druid:
            driver-class-name: com.mysql.cj.jdbc.Driver
            url: jdbc:mysql://172.16.20.103:3306/tcwm2.5?useUnicode=true&characterEncoding=utf-8&useSSL=false&rewriteBatchedStatements=true&serverTimezone=CTT
            username: root
            password: ch@2025.wm
            initial-size: 10
            max-active: 100
            min-idle: 10
            max-wait: 60000
            pool-prepared-statements: true
            max-pool-prepared-statement-per-connection-size: 20
            time-between-eviction-runs-millis: 60000
            min-evictable-idle-time-millis: 300000
            #Oracle需要打开注释
            #validation-query: SELECT 1 FROM DUAL
            test-while-idle: true
            test-on-borrow: false
            test-on-return: false
            stat-view-servlet:
                enabled: true
                url-pattern: /druid/*
                #login-username: admin
                #login-password: admin
            filter:
                stat:
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: false
                wall:
                    config:
                        multi-statement-allow: true
    redis:
        host: 172.16.20.103
        port: 6379
        password: ch_wm_redis_2025@.
        database: 3
        timeout: 5000
        jedis:
            pool:
                enabled: true
                max-active: 20
                min-idle: 0
                max-idle: 10
                max-wait: -1
# 接口数据加密
secure-api:
    # 开启SecureApi功能，如果为false则其余配置项均不生效
    enabled: true
    # 开启加解密日志打印，会打印出接口名、加密模式、算法、明文和密文等信息
    show-log: false
    url-safe: true
    # 加密模式，common和session_key可选，session_key是会话密钥模式，用于每次请求都使用不同的密钥，需要前端配合
    mode: common
    # 加密算法
    cipher-algorithm: aes_cbc_pkcs5
    # 对称算法用于加解密的密钥，Base64格式，cipher-algorithm选择对称加密算法时配置，也可为空，组件会随机生成一个
    key: oURKtBcNU6axnNoebKkuPqkCn6ivhE9qbg9FpeNnfpo=
    # 对称算法用于加解密的偏移量，Base64格式，cipher-algorithm选择对称加密算法时配置，也可为空，组件会随机生成一个
    iv: eW1xeThJSkprcEZUTGh1Ng==
    # 需要加密的接口路径匹配，遵循spring boot拦截器的正则规则，留空或者不配置代表不使用url匹配，只对注解的接口进行解密
    encrypt-url:
        # 配置了此项，接口有无注解都将进行返回值加密
        include-urls: /**
        # 即使配置了排除，注解的优先级也高于此项
        exclude-urls:
            - /captcha.jpg
            - /app/wxPay/notifyMp
            - /app/wxPay/notify
            - /app/wxPay/notifyJsApi
            - /app/wxPay/notifyShop
            - /app/wxPay/notifyJsApiShop
            - /app/wxPay/notifyMpShop
            - /pay/open/notify
            - /app/new-pay/wechat-pay/notify
            - /chatSocket/**
            - /websocket/**
            - /alioss/**
            - /swagger-ui.html
            - /v2/api-docs
            - /swagger-resources/**
            - /webjars/**
    # 需要解密的接口路径匹配，遵循spring boot拦截器的正则规则，留空或者不配置代表不使用url匹配，只对注解的接口、参数、字段进行解密
    decrypt-url:
        # 配置了此项，接口、参数、字段有无注解都将进行解密
        include-urls: /**
        # 即使配置了排除，注解的优先级也高于此项
        exclude-urls:
            - /captcha.jpg
            - /app/wxPay/notifyMp
            - /app/wxPay/notify
            - /app/wxPay/notifyJsApi
            - /app/wxPay/notifyShop
            - /app/wxPay/notifyJsApiShop
            - /app/wxPay/notifyMpShop
            - /pay/open/notify
            - /app/new-pay/wechat-pay/notify
            - /chatSocket/**
            - /websocket/**
            - /alioss/**
            - /swagger-ui.html
            - /v2/api-docs
            - /swagger-resources/**
            - /webjars/**
    # Date类型日期格式化
    date-format: yyyy-MM-dd HH:mm:ss
    # LocalDateTime类型日期格式化
    local-date-time-format: yyyy-MM-dd HH:mm:ss

mp:
    temp: false
sftp:
    username: export
    password: Waimai2024#
    host: 172.16.20.105
    port: 22
#查询备用数据库
dynamic:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.16.20.104:3306/tcwm2.5?useUnicode=true&characterEncoding=utf-8&useSSL=false&rewriteBatchedStatements=true&serverTimezone=CTT
    #    url: jdbc:mysql://172.16.20.108:3306/tcwm2.5?useUnicode=true&characterEncoding=utf-8&useSSL=false&rewriteBatchedStatements=true&serverTimezone=CTT
    username: root
    password: ch@2025.wm
    #    password: chuanghai@2024
    initial-size: 15
    max-active: 100
    min-idle: 10
    max-wait: 60000
    pool-prepared-statements: true
    max-pool-prepared-statement-per-connection-size: 20
    time-between-eviction-runs-millis: 60000
    min-evictable-idle-time-millis: 300000
    #Oracle需要打开注释
    #validation-query: SELECT 1 FROM DUAL
    test-while-idle: true
    test-on-borrow: false
    test-on-return: false
    stat-view-servlet:
        enabled: true
        url-pattern: /druid/*
        #login-username: admin
        #login-password: admin
    filter:
        stat:
            log-slow-sql: true
            slow-sql-millis: 1000
            merge-sql: false
        wall:
            config:
                multi-statement-allow: true

# minio配置
minio:
    endpoint: http://172.16.20.105:9000
    accessKey: YTDm6Wtjf1q0LbGi2SKK
    secretKey: MU1KozgxyknGDPwcKuvCEuhZwL37wbryHOFRW5Xt
    bucket: wmfile